Skip to main content
`Ctrl`+`K`

# PetscDSSetFromOptions

sets parameters in a `PetscDS` from the options database

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetFromOptions(PetscDS prob)

Collective

## Input Parameter

- prob - the `PetscDS` object to set options for

## Options Database Keys

- -petscds_type type - Set the `PetscDS` type

- -petscds_view - View the `PetscDS`

- -petscds_jac_pre (true|false) - Turn formation of a separate Jacobian preconditioner on or off

- -bc_NAME ids - comma separated list of label ids for the boundary condition NAME

- -bc_NAME_comp comps - comma separated list of field components to constrain for the boundary condition NAME

## See Also

`PetscDS`, `PetscDSView()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

## Examples

src/ts/tutorials/ex11.c
src/ts/tutorials/ex48.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages